> ## Documentation Index
> Fetch the complete documentation index at: https://productlane.mintlify.site/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get issue

> Get an issue by ID. No authorization is required.



## OpenAPI

````yaml get /issues/{workspaceId}/{issueId}
openapi: 3.0.3
info:
  title: Productlane API
  version: 1.0.0
servers:
  - url: https://productlane.com/api/v1
security: []
paths:
  /issues/{workspaceId}/{issueId}:
    get:
      tags:
        - portal
      summary: Get issue
      description: Get an issue by ID. No authorization is required.
      operationId: portal-getIssue
      parameters:
        - name: issueId
          in: path
          required: true
          schema:
            type: string
        - name: workspaceId
          in: path
          required: true
          schema:
            type: string
        - name: language
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  identifier:
                    type: string
                  createdAt:
                    type: string
                    format: date-time
                  description:
                    type: string
                    nullable: true
                  descriptionData:
                    nullable: true
                  isDeleted:
                    type: boolean
                  isVisible:
                    type: boolean
                    nullable: true
                  linearTicketId:
                    type: string
                  priority:
                    type: string
                  projectId:
                    type: string
                    nullable: true
                  sortOrder:
                    type: number
                  status:
                    type: string
                  summary:
                    type: array
                    items:
                      type: string
                  summaryUpdated:
                    type: string
                    format: date-time
                    nullable: true
                  team:
                    type: string
                  title:
                    type: string
                  updatedAt:
                    type: string
                    format: date-time
                  url:
                    type: string
                  version:
                    type: number
                  workspaceId:
                    type: string
                  upvotes:
                    type: number
                  importanceScore:
                    type: number
                required:
                  - id
                  - identifier
                  - createdAt
                  - description
                  - isDeleted
                  - isVisible
                  - linearTicketId
                  - priority
                  - projectId
                  - sortOrder
                  - status
                  - summary
                  - summaryUpdated
                  - team
                  - title
                  - updatedAt
                  - url
                  - version
                  - workspaceId
                  - upvotes
                  - importanceScore
                additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````